<?php

/**
 * Admin user management
 */
Route::group([
    'prefix' => 'admin',
    'namespace' => 'Drp\UserManagement\Http\Controllers\Admin',
    'middleware' => [
        'web',
        'auth',
        'can:manage,' . config('user_management.model')
    ],
], function () {

    Route::model('user', Drp\UserManagement\Contracts\ManagedUser::class);

    Route::resource('/users', 'UsersController', [
        'as' => 'admin',
        'except' => 'show',
    ]);

    Route::get('/admins/users/awaiting-approval', [
        'as' => 'admin.users.approve.index',
        'uses' => 'ApproveUsersController@index'
    ]);

    Route::get('/admins/users/awaiting-approval/{user}/approve', [
        'as' => 'admin.users.approve.update',
        'uses' => 'ApproveUsersController@update'
    ]);


    Route::get('/admins/generate-first-login/{user}/', [
        'as' => 'admin.firstTimeLogin.create',
        'uses' => '\Drp\UserManagement\Http\Controllers\Auth\LoginTokenController@sendLoginToken'
    ]);
});

