<?php

namespace Drp\UserManagement;

/**
 * Class UserRoles
 * @package Drp\UserManagement
 */
class UserRoles
{
    /**
     * Return an array of all roles.
     *
     * @return mixed
     */
    public static function allRoles()
    {
        return config('user_management.roles');
    }

    /**
     * Return an array of all roles keyed by their name.
     *
     * @return mixed
     */
    public static function allRolesForSelect()
    {
        $roles = self::allRoles();
        return array_combine($roles, $roles);
    }

    /**
     * Return an array of admin roles.
     *
     * @return mixed
     */
    public static function superAdminRoles()
    {
        return config('user_management.super_admin_roles');
    }


    /**
     * Return an array of admin roles.
     *
     * @return mixed
     */
    public static function adminRoles()
    {
        return config('user_management.admin_roles');
    }
}
